Results 1 to 7 of 7

Thread: Unable to install DEBs since installing 23.10

  1. #1
    Join Date
    Mar 2010
    Location
    Scotland, UK
    Beans
    16
    Distro
    Ubuntu 22.04 Jammy Jellyfish

    Unable to install DEBs since installing 23.10

    I have just completed a install of 23.10. Clean install, not an upgrade. All appeared to go well but when I try to install apps nothing happens.

    In the past, if the app was not in the App Centre, I would download the .DEB then right click on the file and "Open With App Centre". This used to work in earlier version (22.04). Now the App Centre loads and I get a spinning orange disk. I've tried a few downloads, all the same. I I find an App in the App Centre, it will install as expected.

    I've read that there were changes to the App Centre -- is there a different way to load Apps outside the list now?

    thanks
    David
    Novice, but learning

  2. #2
    Join Date
    Oct 2008
    Location
    Ottawa, Canada
    Beans
    813
    Distro
    Kubuntu 20.04 Focal Fossa

    Re: Unable to install DEBs since installing 23.10

    This has been lamented by others, see OMGUbuntu's article.

    Basically you have to install Gdebi from the App Center or the command line to be able to install .deb files.

    Cheers!
    husband@wife$ make sandwich
    Permission denied
    husband@wife$ sudo make sandwich

  3. #3
    Join Date
    Mar 2010
    Location
    Scotland, UK
    Beans
    16
    Distro
    Ubuntu 22.04 Jammy Jellyfish

    Thumbs up Re: Unable to install DEBs since installing 23.10

    Awesome. Thanks for the response and the link.

    Looks lie the new App Centre has taken a step back for the moment. At least I can not resolve my issue
    David
    Novice, but learning

  4. #4
    Join Date
    Aug 2016
    Location
    Wandering
    Beans
    Hidden!
    Distro
    Xubuntu Development Release

    Re: Unable to install DEBs since installing 23.10

    The terminal works as well, and as far as this gdebi:
    Code:
    apt policy gdebi
    gdebi:
      Installed: 0.9.5.7+nmu7
      Candidate: 0.9.5.7+nmu7
      Version table:
     *** 0.9.5.7+nmu7 500
            500 http://archive.ubuntu.com/ubuntu mantic/universe amd64 Packages
            500 http://archive.ubuntu.com/ubuntu mantic/universe i386 Packages
            100 /var/lib/dpkg/status
    Easy to install:
    Code:
    sudo apt install gdebi
    NOTE: I'm completey void of any snaps here.
    If your still having problems show us a ".deb" you can't install.
    Last edited by 1fallen; October 23rd, 2023 at 10:07 PM. Reason: add quotes for clairity
    With realization of one's own potential and self-confidence in one's ability, one can build a better world.
    Dalai Lama>>
    Code Tags | System-info | Forum Guide lines | Arch Linux, Debian Unstable, FreeBSD

  5. #5
    Join Date
    Feb 2010
    Location
    Obscurial Springs
    Beans
    15,216
    Distro
    Ubuntu Budgie Development Release

    Re: Unable to install DEBs since installing 23.10

    Also be sure your package is compatible with 23.10. Some apps are only updated for Ubuntu LTS releases.
    "Our intention creates our reality. "

    Ubuntu Documentation Search: Popular Pages
    Ubuntu: Security Basics
    Ubuntu: Flavors

  6. #6
    Join Date
    Jul 2013
    Location
    Wisconsin
    Beans
    4,966

    Re: Unable to install DEBs since installing 23.10

    Or even easier...

    Code:
    sudo apt install /path/to/package_name.deb
    ...but you're not using deb packages the way they are intended to be used (via a distro).
    So you won't get updates for it. You won't get security patches for it.
    Eventually it will be incompatible with a future release of Ubuntu. That means it will either break without warning...or it will mysteriously block the release-upgrade.

    "I can't use Ubuntu Software to install it" is indeed a (temporary) problem. But it's not the biggest problem with that workflow.
    Last edited by ian-weisser; October 24th, 2023 at 05:42 PM.

  7. #7
    Join Date
    Jul 2005
    Location
    Appalachia, USA
    Beans
    48
    Distro
    Ubuntu

    Re: Unable to install DEBs since installing 23.10

    The Zoom client deb will not install on 23.10 due to dependency issues (the snap Zoom client had webcam crashes and virtual desktops didn't work for me). But if you go to ubuntuhandbook.org and search Zoom, there's an article walking you through getting the needed dependencies so install works. Then the Zoom deb client works great.
    Last edited by iamjiwjr; October 25th, 2023 at 03:46 AM.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •